com.rscja.team.qcom.deviceapi

## Class RFIDWithUHFA4NetWork_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFA4NetWork_qcom

- All Implemented Interfaces:
    IMultipleAntenna, IRFIDWithUHFA4, IRFIDWithUHFA4NetWork, IUHF, IUHFA4, IUHFURAxExtend
  Direct Known Subclasses:
    UHFCSYX_A4NetWork

      public class RFIDWithUHFA4NetWork_qcom
      extends UhfBase
      implements IRFIDWithUHFA4NetWork

  操作URA4设备以及UHF模块相关接口。
  第一步：连接通过 `setIPAndPort(String host, int port)`设置连接的读写IP地址。然后调用 `init(Context)`连接读写器。 同时可以设置回调接口 `setConnectionStatusCallback(ConnectionStatusCallback)`监听连接状态
  第二步： 如果是设置参数，连接成功之后，调用对应的函数设置参数。
  如果是盘点标签先调用`setInventoryCallback(IUHFInventoryCallback)`设置标签回调接口，标签数据会上传到这个接口函数。
  然后在调用`startInventoryTag()`函数开始执行盘点。注意:在盘点标签的时候rfid模块只能响应`stopInventory()`函数。
  第三步：退出app调用 `free()`断开连接，如果断开之前正在盘点，请先停止盘点，在断开连接。

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDWithUHFA4NetWork_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blockWriteData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 向标签写入数据(支持大数据标签写入)、当需要写入的标签数据比较大可以使用此函数写入 Write data into tag(support big-sized data writing), user could use this function when big-sized data need to be written.
    `boolean` | `closeWifi()`
    `boolean` | `disableBeep()`
    `boolean` | `enableBeep()`
    `boolean` | `eraseData(java.lang.String accessPwd, int bank, int ptr, int cnt)` 擦除数据，被擦除的数据块其内容将被设置成0. Data block that has been cleaned will be setup to 0.
    `boolean` | `eraseData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 擦除指定标签的数据，被擦除的数据块其内容将被设置成0. Clean specific tag data, data block after cleaned will be set to 0.
    `boolean` | `free()` 断开uhf连接 Switch OFF UHF module
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)` 获取锁定码 Get lock code
    `java.lang.String` | `getAndroidDeviceHardwareVersion()`
    `java.util.List<AntennaState>` | `getANT()` 获取当前设置的天线
    `java.util.List<AntennaPowerEntity>` | `getAntennaPower()`
    `int` | `getAntennaPower(AntennaEnum ant)` 获取单个天线的功率
    `char[]` | `getBeep()` 获取蜂鸣器状态
    `ConnectionStatus` | `getConnectStatus()` 获取UHF连接状态 Acquire UHF connection status
    `int` | `getCW()` 获取连续波设置 Acquire CW setup
    `InventoryModeEntity` | `getEPCAndTIDUserMode()` 设置EPC 和 TID模式
    `java.lang.String` | `getEthernetIpConfig()` 获取以太网配置状态，json格式
    `java.lang.String` | `getEthernetMac()`
    `int` | `getFrequencyMode()` 读取模块的工作模式 Read work mode of module
    `Gen2Entity` | `getGen2()` 获取Gen2参数 Acquire Gen2 parameter [0] target: s0:0 s1:1 s2:2 s3:3 SL:4 [1] action: 0,1,2,3,4,5,6 [2] t: Disable truncation 0, Enable truncation 1 [3] q: 固定Q算法 0, 动态Q算法 1 [3] q: fixed Q algorithm 0, dynamic Q algorithm 1 [4] startQ: 0,1,2,3.....15 注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ [4] startQ: 0,1,2,3.....15 note: in fixed algorithm, Q is fixed as StartQ, neglect MinQ and MaxQ [5] minQ: 0,1,2,3.....15 [6] maxQ:0,1,2,3......15 [7] dr:0,1 [8] coding:0,1,2,3 [9] p:0,1 [10] sel:0,1,2,3 [11] Session:0,1,2,3 [12] g:0,1 [13] linkFrequency:0,1,2,3,4,5,6,7
    `int` | `getPower()` 读取模块的功率 Read module output power
    `int` | `getProtocol()` 获取协议 Acquire protocol
    `ReaderIPEntity` | `getReaderCurrentIp()`
    `int` | `getRFLink()` 获取链路参数 acquire link parameter
    `java.lang.String` | `getTcpServiceVersion()` 获取tcp服务版本
    `int` | `getTemperature()` 获取模块温度 Acquire module Temperature
    `java.lang.String` | `getVersion()` 获取uhf版本号 read module type
    `java.lang.String` | `getWifiInfo()` 获取wifi热点信息(json格式)
    `java.lang.String` | `getWifiIpConfig()` 获取wifi配置状态，json格式
    `boolean` | `init(android.content.Context context)` 初始化UHF模块 Initiate UHF module
    `java.util.List<GPIStateEntity>` | `inputStatus()` input status
    `UHFTAGInfo` | `inventorySingleTag()` 单步识别标签 Identify tag in single mode
    `boolean` | `isEnableBeep()` 盘点标签蜂鸣器是否被禁用
    `boolean` | `isInventorying()` uhf 是否正在盘点
    `boolean` | `killTag(java.lang.String killPwd)` 销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁 Kill specific tag, default password(0x00 0x00 0x00 0x00)
    `boolean` | `killTag(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)` 销毁指定标签 ,默认密码(0x00 0x00 0x00 0x00)不能执行销毁 Kill specific tag, default password(0x00 0x00 0x00 0x00)
    `boolean` | `lockMem(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String filterData, java.lang.String lockCode)` 锁定指定标签 Lock specific tag
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)` 锁定指定标签 Lock specific tag
    `boolean` | `openWifi()`
    `boolean` | `output1Off()` gpio 3 off
    `boolean` | `output1On()` gpio 3 on
    `boolean` | `output2Off()` gpio 4 off
    `boolean` | `output2On()` gpio 4 on
    `boolean` | `output3Off()` gpio OptoCoupler3 off
    `boolean` | `output3On()` gpio OptoCoupler3 on
    `boolean` | `output4Off()` gpio OptoCoupler4 off
    `boolean` | `output4On()` gpio OptoCoupler4 on
    `void` | `outputOnAndOff(java.util.List<GPOEntity> list)`
    `boolean` | `outputWgData0Off()` gpio WgData0 off
    `boolean` | `outputWgData0On()` gpio WgData0 on
    `boolean` | `outputWgData1Off()` gpio WgData1 off
    `boolean` | `outputWgData1On()` gpio WgData1 on
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt)` 读取标签数据 Read tag data
    `java.lang.String` | `readData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 读取指定标签数据 Read specific tag data
    `UHFTAGInfo` | `readTagFromBuffer()` 获取缓冲区的标签数据 Get tag data from buffer `startInventoryTag()`启动识别标签之后，在子线程循环调用此函数不断获取缓冲区的标签信息，每次返回一张标签数据 `startInventoryTag()` After tag reading has been enabled, call this function in sub threads to get data information continously, return one tag information for each time. 在调用`stopInventory()`之后，应当退出子线程。 After call `stopInventory()`, exit sub threads. 备注:可以直接通过设置回调接口来获取盘点数据`setInventoryCallback()`
    `void` | `readyUpgradeTcpService()` tcp服务升级第一步,准备升级tcp服务
    `boolean` | `rebootDevice()` 重启android设备
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线
    `boolean` | `setAntennaPower(AntennaEnum ant, int power)` 设置单个天线的功率
    `boolean` | `setBeep(int mode)` 设置蜂鸣器，盘点读到标签鸣叫
    `void` | `setBuzzerOff()`
    `void` | `setBuzzerOffOfAndroid()`
    `void` | `setBuzzerOn(int time)` 单位:毫秒,time:100-65535
    `void` | `setBuzzerOnOfAndroid(int time)` 设置蜂鸣器立即鸣叫,与盘点无关 单位:毫秒,time:100-65535
    `void` | `setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)` 设置UHF连接状态回调 Setup UHF continuous stauts call-back
    `boolean` | `setCW(int flag)` 设置连续波 Setup CW
    `boolean` | `setEPCAndTIDMode()` 设置循环盘点同时读取 EPC、TID 模式 Setup auto scan to acquire EPC, TID mode
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)` 设置循环盘点同时读取 EPC、TID、USER 模式 Setup auto scan to acquire EPC, TID, User mode
    `boolean` | `setEPCMode()` 设置循环盘点只获取EPC的数据 Setup auto scan to acquire EPC only
    `boolean` | `setEthernetConfigInfo(ReaderIPEntity ipconfig)` 设置以太网静态ip
    `boolean` | `setEthernetIpDynamicAssign()`
    `boolean` | `setFastID(boolean enalbe)` 开关FastID功能 ON/OFF FastID function
    `boolean` | `setFilter(int bank, int ptr, int cnt, java.lang.String data)` 过滤循环盘点的标签，在`startInventoryTag()`循环盘点标签之前，可以设置要过滤的数据。 Filter tag in auto scan mode, before scanning tags `startInventoryTag()`, setup data that needs to be filtered. 设置过滤条件之后，盘点标签时将符合过滤条件的标签上传到缓存区`setInventoryCallback()` 。 After setup, upload filtered tags to buffer `setInventoryCallback()` .
    `boolean` | `setFreHop(float fre)` 设置模块频点 Setup frequency Hop
    `boolean` | `setFrequencyMode(int freMode)` 设置模块的工作模式 Setup work mode of module
    `boolean` | `setGen2(Gen2Entity entity)` 设置 Gen2参数 Setup Gen2 parameter 0,1,2,3,4,5,6,7
    `void` | `setGPIStateCallback(IGPIStateCallback uhfGPIOStateCallback)` 设置GPIO input状态改变的回调接口
    `void` | `setGPIStateReverse(boolean isReverse)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 设置盘点回调接口，接收循环盘点到的标签数据 Set the inventory callback interface to receive the label data from the cyclic inventory 备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。 Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
    `void` | `setIPAndPort(java.lang.String host, int port)`
    `boolean` | `setPower(int power)` 设置所有天线的功率 Setup output power
    `boolean` | `setProtocol(int protocol)` 设置协议 Setup protocol
    `boolean` | `setRFLink(int mode)` 设置链路参数 Setup RFlink
    `boolean` | `setTagFocus(boolean enalbe)` 开关TagFocus功能 ON/OFF TagFocus
    `boolean` | `setTcpServicePort(int port)` 设置TCP端口
    `void` | `setUpgradeProgress(IUpgradeProgress iUpgradeProgress)` TCP服务升级的进度条
    `boolean` | `setUpgradeTcpServiceData(byte[] data)` tcp服务升级第二步,填充升级数据
    `boolean` | `setWifiConfigInfo(WifiConfig wificonfig)` 设置wifi配置
    `boolean` | `startInventoryTag()` 启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `setInventoryCallback()` Enable Tag auto reading and upload tag number to buffer, `setInventoryCallback()` 开启循环识别之后，模块只能响应`stopInventory()`函数 。 after switch on auto reading, module will give feedback to `stopInventory()` only.
    `boolean` | `startUpgradeTcpService()` tcp服务升级第三步,开始发送数据到服务器
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.
    `boolean` | `uhfBlockPermalock(java.lang.String accessPwd, int FilterBank, int FilterStartaddr, int FilterLen, java.lang.String FilterData, int ReadLock, int uBank, int uPtr, int uRange, byte[] uMaskbuf)` 数据块操作
    `boolean` | `uhfJump2Boot()` uhf固件升级第一步,uhf进入boot模式
    `boolean` | `uhfJump2Boot(int type)` uhf进入boot模式 ，开始升级之前需要调用此函数 UHF enter boot mode, need to call this formula before upgrade
    `boolean` | `uhfStartUpdate()` uhf固件升级第二步,uhf开始升级
    `boolean` | `uhfStopUpdate()` uhf固件升级第四步,uhf升级结束
    `boolean` | `uhfUpdating(byte[] buff)` uhf固件升级第三步,发送uhf升级数据。 每次固定64个字节
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data)` 向标签写入数据 Write data in tag
    `boolean` | `writeData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 将数据写入指定标签 Write data
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String writeData)` 将数据写入到EPC,而且自动适配盘点的EPC长度 Write data to epc
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, java.lang.String writeData)` 将数据写入到EPC,而且自动适配盘点的EPC长度 Write data to epc

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `factoryReset, getFastInventoryMode, readTcpServiceState, setEPCAndTIDUserMode, setFastInventoryMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDWithUHFA4NetWork

      `getEthernetMac, setIPAndPort`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaPower, setANT, setAntennaPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURAxExtend

      `closeWifi, disableBeep, enableBeep, getAndroidDeviceHardwareVersion, getEthernetIpConfig, getReaderCurrentIp, getTcpServiceVersion, getWifiInfo, getWifiIpConfig, isEnableBeep, openWifi, readyUpgradeTcpService, rebootDevice, setBuzzerOff, setBuzzerOn, setEthernetConfigInfo, setEthernetIpDynamicAssign, setGPIStateCallback, setInventoryCallback, setTcpServicePort, setUpgradeProgress, setUpgradeTcpServiceData, setWifiConfigInfo, startUpgradeTcpService`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Constructor Detail

    - #### RFIDWithUHFA4NetWork_qcom

          public RFIDWithUHFA4NetWork_qcom()

  - ### Method Detail

    - #### init

          public boolean init(android.content.Context context)

      Description copied from interface: `IUHF`
      初始化UHF模块
      Initiate UHF module
      Specified by:
        `init` in interface `IUHF`
      Parameters:
        `context` - context
      Returns:
        true:成功(success) false:失败(failure)

    - #### free

          public boolean free()

      断开uhf连接
      Switch OFF UHF module
      Specified by:
        `free` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### outputOnAndOff

          public void outputOnAndOff(java.util.List<GPOEntity> list)

      Specified by:
        `outputOnAndOff` in interface `IUHFA4`
      Specified by:
        `outputOnAndOff` in interface `IUHFURAxExtend`

    - #### output2Off

          public boolean output2Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio 4 off
      Specified by:
        `output2Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### output2On

          public boolean output2On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio 4 on
      Specified by:
        `output2On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### output1Off

          public boolean output1Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio 3 off
      Specified by:
        `output1Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### output1On

          public boolean output1On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio 3 on
      Specified by:
        `output1On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### inputStatus

          public java.util.List<GPIStateEntity> inputStatus()

      input status
      Specified by:
        `inputStatus` in interface `IRFIDWithUHFA4`
      Returns:
        null:fail ; [0]:input1 , [1]:input2 [2]:OptoCoupler_input3 [3]:OptoCoupler_input4

    - #### output3On

          public boolean output3On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio OptoCoupler3 on
      Specified by:
        `output3On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail OPTOCOUPLER

    - #### output3Off

          public boolean output3Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio OptoCoupler3 off
      Specified by:
        `output3Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### output4On

          public boolean output4On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio OptoCoupler4 on
      Specified by:
        `output4On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### output4Off

          public boolean output4Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio OptoCoupler4 off
      Specified by:
        `output4Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### outputWgData0On

          public boolean outputWgData0On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio WgData0 on
      Specified by:
        `outputWgData0On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### outputWgData0Off

          public boolean outputWgData0Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio WgData0 off
      Specified by:
        `outputWgData0Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### outputWgData1On

          public boolean outputWgData1On()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio WgData1 on
      Specified by:
        `outputWgData1On` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### outputWgData1Off

          public boolean outputWgData1Off()

      Description copied from interface: `IRFIDWithUHFA4`
      gpio WgData1 off
      Specified by:
        `outputWgData1Off` in interface `IRFIDWithUHFA4`
      Returns:
        true;success false:fail

    - #### setGPIStateReverse

          public void setGPIStateReverse(boolean isReverse)

      Specified by:
        `setGPIStateReverse` in interface `IUHFURAxExtend`

    - #### setIPAndPort

          public void setIPAndPort(java.lang.String host,
                                   int port)

    - #### setConnectionStatusCallback

          public void setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

      Description copied from interface: `IUHF`
      设置UHF连接状态回调
      Setup UHF continuous stauts call-back
      Specified by:
        `setConnectionStatusCallback` in interface `IUHF`
      Parameters:
        `btStatusCallback` - 回调接口(Callback interface)

    - #### setUpgradeProgress

          public void setUpgradeProgress(IUpgradeProgress iUpgradeProgress)

      TCP服务升级的进度条
      Specified by:
        `setUpgradeProgress` in interface `IUHFURAxExtend`

    - #### setGPIStateCallback

          public void setGPIStateCallback(IGPIStateCallback uhfGPIOStateCallback)

      设置GPIO input状态改变的回调接口
      Specified by:
        `setGPIStateCallback` in interface `IUHFURAxExtend`

    - #### setBuzzerOnOfAndroid

          public void setBuzzerOnOfAndroid(int time)

      设置蜂鸣器立即鸣叫,与盘点无关 单位:毫秒,time:100-65535

    - #### getTcpServiceVersion

          public java.lang.String getTcpServiceVersion()

      获取tcp服务版本
      Specified by:
        `getTcpServiceVersion` in interface `IUHFURAxExtend`

    - #### setEthernetConfigInfo

          public boolean setEthernetConfigInfo(ReaderIPEntity ipconfig)

      设置以太网静态ip
      Specified by:
        `setEthernetConfigInfo` in interface `IUHFURAxExtend`

    - #### setWifiConfigInfo

          public boolean setWifiConfigInfo(WifiConfig wificonfig)

      设置wifi配置
      Specified by:
        `setWifiConfigInfo` in interface `IUHFURAxExtend`

    - #### setTcpServicePort

          public boolean setTcpServicePort(int port)

      设置TCP端口
      Specified by:
        `setTcpServicePort` in interface `IUHFURAxExtend`

    - #### getWifiInfo

          public java.lang.String getWifiInfo()

      获取wifi热点信息(json格式)
      Specified by:
        `getWifiInfo` in interface `IUHFURAxExtend`

    - #### readyUpgradeTcpService

          public void readyUpgradeTcpService()

      tcp服务升级第一步,准备升级tcp服务
      Specified by:
        `readyUpgradeTcpService` in interface `IUHFURAxExtend`

    - #### setUpgradeTcpServiceData

          public boolean setUpgradeTcpServiceData(byte[] data)

      tcp服务升级第二步,填充升级数据
      Specified by:
        `setUpgradeTcpServiceData` in interface `IUHFURAxExtend`

    - #### startUpgradeTcpService

          public boolean startUpgradeTcpService()

      tcp服务升级第三步,开始发送数据到服务器
      Specified by:
        `startUpgradeTcpService` in interface `IUHFURAxExtend`
      Returns:
        true:升级成功 false:升级失败

    - #### uhfJump2Boot

          public boolean uhfJump2Boot()

      uhf固件升级第一步,uhf进入boot模式
      Specified by:
        `uhfJump2Boot` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfJump2Boot

          public boolean uhfJump2Boot(int type)

      Description copied from interface: `IUHF`
      uhf进入boot模式 ，开始升级之前需要调用此函数
      UHF enter boot mode, need to call this formula before upgrade
      Specified by:
        `uhfJump2Boot` in interface `IUHF`
      Parameters:
        `type` - 0,upgrade reader mainboard 1,upgrade UHF module 2,upgrade reader bootloader 3,upgrade Ex10 SDK firmware
      Returns:

    - #### uhfStartUpdate

          public boolean uhfStartUpdate()

      uhf固件升级第二步,uhf开始升级
      Specified by:
        `uhfStartUpdate` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfUpdating

          public boolean uhfUpdating(byte[] buff)

      uhf固件升级第三步,发送uhf升级数据。 每次固定64个字节
      Specified by:
        `uhfUpdating` in interface `IUHF`
      Parameters:
        `buff` - 固件数据(buff firmware data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfStopUpdate

          public boolean uhfStopUpdate()

      uhf固件升级第四步,uhf升级结束
      Specified by:
        `uhfStopUpdate` in interface `IUHF`
      Returns:
        true:升级成功 false:升级失败

    - #### getConnectStatus

          public ConnectionStatus getConnectStatus()

      Description copied from interface: `IUHF`
      获取UHF连接状态
      Acquire UHF connection status
      Specified by:
        `getConnectStatus` in interface `IUHF`
      Specified by:
        `getConnectStatus` in class `UhfBase`
      Returns:
        UHF连接状态(UHF connection status)

    - #### getVersion

          public java.lang.String getVersion()

      获取uhf版本号
      read module type
      Specified by:
        `getVersion` in interface `IUHF`
      Returns:
        返回uhf版本号
        return module type, null is read failed

    - #### getPower

          public int getPower()

      读取模块的功率
      Read module output power
      Returns:
        返回功率，返回-1为失败(Return output power, return -1 means failure.)

    - #### setPower

          public boolean setPower(int power)

      设置所有天线的功率
      Setup output power
      Parameters:
        `power` - 功率值(Power values)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getEthernetMac

          public java.lang.String getEthernetMac()

    - #### getFrequencyMode

          public int getFrequencyMode()

      读取模块的工作模式
      Read work mode of module
      Specified by:
        `getFrequencyMode` in interface `IUHF`
      Returns:
        返回工作模式，返回-1为失败 (return work mode, return -1 means failure)
        0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand

    - #### setFrequencyMode

          public boolean setFrequencyMode(int freMode)

      Description copied from interface: `IUHF`
      设置模块的工作模式
      Setup work mode of module
      Specified by:
        `setFrequencyMode` in interface `IUHF`
      Parameters:
        `freMode` - 0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand
      Returns:
        true:成功(success) false:失败(failure)

    - #### startInventoryTag

          public boolean startInventoryTag()

      启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `setInventoryCallback()`
      Enable Tag auto reading and upload tag number to buffer, `setInventoryCallback()`
      开启循环识别之后，模块只能响应`stopInventory()`函数 。
      after switch on auto reading, module will give feedback to `stopInventory()` only.
      `stopInventory()` 停止识别循环(Stop auto reading)
      `setInventoryCallback()` 获取冲区的数据(get data from buffer)
      Specified by:
        `startInventoryTag` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      获取缓冲区的标签数据
      Get tag data from buffer
      `startInventoryTag()`启动识别标签之后，在子线程循环调用此函数不断获取缓冲区的标签信息，每次返回一张标签数据
      `startInventoryTag()` After tag reading has been enabled, call this function in sub threads to get data information continously, return one tag information for each time.
      在调用`stopInventory()`之后，应当退出子线程。
      After call `stopInventory()`, exit sub threads.
      备注:可以直接通过设置回调接口来获取盘点数据`setInventoryCallback()`
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Returns:
        标签数据(Tag data)

    - #### stopInventory

          public boolean stopInventory()

      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Specified by:
        `stopInventory` in class `UhfBase`
      Returns:
        true:成功(success) false:失败(failure)

    - #### generateLockCode

          public java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                   int lockMode)

      获取锁定码
      Get lock code
      Specified by:
        `generateLockCode` in interface `IUHF`
      Parameters:
        `lockBank` - 要锁定的区域 (lockBank areas that need to lock ):
        `IUHF.LockBank_KILL`
        `IUHF.LockBank_ACCESS`
        `IUHF.LockBank_TID`
        `IUHF.LockBank_USER`
        `IUHF.LockBank_EPC`
        `lockMode` - 锁定的模式(lockMode lock modes):
        `IUHF.LockMode_LOCK`
        `IUHF.LockMode_OPEN`
        `IUHF.LockMode_PLOCK`
        `IUHF.LockMode_POPEN`
      Returns:
        返回锁定码，null表示失败(return lock code, null means failure)

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 java.lang.String lockCode)

      锁定指定标签
      Lock specific tag
      Specified by:
        `lockMem` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `lockCode` - 锁定码 (Lock Code)
      Returns:
        true:成功(success) false:失败(failure)

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 int bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String filterData,
                                 java.lang.String lockCode)

      锁定指定标签
      Lock specific tag
      Specified by:
        `lockMem` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 标签的存储区(memory area):
        `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、 `IUHF.Bank_USER`
        `ptr` - 过滤起始地址,单位:bit (Filter start address,unit:bit)
        `cnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤。 (Filter data length(unit:bit) when filter length is 0, it means no filter.)
        `filterData` - 过滤数据(Filter data)
        `lockCode` - 锁定码 (Lock Code)
      Returns:
        true:成功(success) false:失败(failure)

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      单步识别标签
      Identify tag in single mode
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Returns:
        返回标签信息(return tag infor)

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int bank,
                                           int ptr,
                                           int cnt)

      读取标签数据
      Read tag data
      Specified by:
        `readData` in interface `IUHF`
      Parameters:
        `accessPwd` - Access password
        `bank` - 读取的存储区(read storage area): `IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 读取的起始地址(单位:字) (read start address(unit: word))
        `cnt` - 读取的数据长度(单位:字) (read data length(unit: word))
      Returns:
        返回获取的数据,null表示读取失败 (return acquired data, null means read failure)

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           int bank,
                                           int ptr,
                                           int cnt)

      读取指定标签数据
      Read specific tag data
      Specified by:
        `readData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 读取的存储区(Read storage area) `IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 读取的起始地址(单位:字) (read start address(unit: word))
        `cnt` - 读取的数据长度(单位:字) (read data length(unit: word))
      Returns:
        返回获取的数据,null表示读取失败 (return acquired data, null means read failure)

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      向标签写入数据
      Write data in tag
      Specified by:
        `writeData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `data` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String writeData)

      将数据写入指定标签
      Write data
      Specified by:
        `writeData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 标签的存储区(Storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC` 、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### blockWriteData

          public boolean blockWriteData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        int bank,
                                        int ptr,
                                        int cnt,
                                        java.lang.String writeData)

      向标签写入数据(支持大数据标签写入)、当需要写入的标签数据比较大可以使用此函数写入
      Write data into tag(support big-sized data writing), user could use this function when big-sized data need to be written.
      Specified by:
        `blockWriteData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 标签的存储区(Storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC` 、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt)

      擦除指定标签的数据，被擦除的数据块其内容将被设置成0.
      Clean specific tag data, data block after cleaned will be set to 0.
      Specified by:
        `eraseData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 擦除的数据区域(Cleaned data block):`IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 擦除的起始地址(单位:字) (Cleaned start address(Unit: word))
        `cnt` - 擦除的数据长度(单位:字) (Cleaned data length(Unit: word))
      Returns:
        true:成功(success) false:失败(failure)

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt)

      擦除数据，被擦除的数据块其内容将被设置成0.
      Data block that has been cleaned will be setup to 0.
      Specified by:
        `eraseData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 擦除的数据区域(Cleaned data block):`IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 擦除的起始地址(单位:字) (Cleaned start address(Unit: word))
        `cnt` - 擦除的数据长度(单位:字) (Cleaned data length(Unit: word))
      Returns:
        true:成功(success) false:失败(failure)

    - #### setFilter

          public boolean setFilter(int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      过滤循环盘点的标签，在`startInventoryTag()`循环盘点标签之前，可以设置要过滤的数据。
      Filter tag in auto scan mode, before scanning tags `startInventoryTag()`, setup data that needs to be filtered.
      设置过滤条件之后，盘点标签时将符合过滤条件的标签上传到缓存区`setInventoryCallback()` 。
      After setup, upload filtered tags to buffer `setInventoryCallback()` .
      Specified by:
        `setFilter` in interface `IUHF`
      Parameters:
        `bank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 过滤的起始地址(Filter start address)
        `cnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `data` - 过滤的数据(Filtered data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### killTag

          public boolean killTag(java.lang.String killPwd)

      销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁
      Kill specific tag, default password(0x00 0x00 0x00 0x00)
      Specified by:
        `killTag` in interface `IUHF`
      Parameters:
        `killPwd` - 销毁密码(Kill password)
      Returns:
        true:成功(success) false:失败(failure)

    - #### killTag

          public boolean killTag(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData)

      销毁指定标签 ,默认密码(0x00 0x00 0x00 0x00)不能执行销毁
      Kill specific tag, default password(0x00 0x00 0x00 0x00)
      Specified by:
        `killTag` in interface `IUHF`
      Parameters:
        `accessPwd` - 销毁密码(Kill password)
        `filterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setProtocol

          public boolean setProtocol(int protocol)

      设置协议
      Setup protocol
      Specified by:
        `setProtocol` in interface `IUHF`
      Parameters:
        `protocol` - 0x00： ISO18000-6C
        0x01 ：GB/T 29768
        0x02 ： GJB 7377.1
      Returns:
        true:成功(success) false:失败(failure)

    - #### getProtocol

          public int getProtocol()

      获取协议
      Acquire protocol
      Specified by:
        `getProtocol` in interface `IUHF`
      Returns:
        0x00 ：ISO18000-6C
        0x01 ： GB/T 29768
        0x02 ： GJB 7377.1

    - #### setFreHop

          public boolean setFreHop(float fre)

      设置模块频点
      Setup frequency Hop
      Specified by:
        `setFreHop` in interface `IUHF`
      Parameters:
        `fre` - 要设置的频点(frequency need to be set)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setRFLink

          public boolean setRFLink(int mode)

      设置链路参数
      Setup RFlink
      Specified by:
        `setRFLink` in interface `IUHF`
      Parameters:
        `mode` - 0-PR ASK/Miller8/160KHz
        1-PR ASK /Miller4/250KHz
        2-PR ASK/Miller4/ 320KHz
        3-PR ASK/Miller4/640KHz
        4-PR ASK/Miller2/320KHz
        5-PR ASK/Miller2/640KHz
        A-Gen2X/Miller8/ 160KHz
        B-Gen2X/Miller4/ 250KHz
        C-Gen2X/Miller4/320KHz
        D-Gen2x/Miller4/ 640KHz
        E-Gen2X/Miller2/320KHz
        F-Gen2X/Miller2/ 640KHz
      Returns:
        true:成功(success) false:失败(failure)

    - #### getRFLink

          public int getRFLink()

      获取链路参数
      acquire link parameter
      Specified by:
        `getRFLink` in interface `IUHF`
      Returns:
        0: DSB_ASK/FM0/40KH;
        1:PR_ASK/Miller4/250KHz;
        2:PR_ASK/Miller4/300KHz;
        3:DSB_ASK/FM0/400KHz

    - #### setFastID

          public boolean setFastID(boolean enalbe)

      开关FastID功能
      ON/OFF FastID function
      Specified by:
        `setFastID` in interface `IUHF`
      Parameters:
        `enalbe` - true：开(on)，false：关(off)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setTagFocus

          public boolean setTagFocus(boolean enalbe)

      开关TagFocus功能
      ON/OFF TagFocus
      Specified by:
        `setTagFocus` in interface `IUHF`
      Parameters:
        `enalbe` - true：开(on)，false：关(off)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCMode

          public boolean setEPCMode()

      设置循环盘点只获取EPC的数据
      Setup auto scan to acquire EPC only
      Specified by:
        `setEPCMode` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      设置循环盘点同时读取 EPC、TID 模式
      Setup auto scan to acquire EPC, TID mode
      Specified by:
        `setEPCAndTIDMode` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(int user_prt,
                                              int user_len)

      设置循环盘点同时读取 EPC、TID、USER 模式
      Setup auto scan to acquire EPC, TID, User mode
      Specified by:
        `setEPCAndTIDUserMode` in interface `IUHF`
      Parameters:
        `user_prt` - USER区起始地址(Start addressin USER area)
        `user_len` - USER区长度(Data length in USER area)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getTemperature

          public int getTemperature()

      获取模块温度
      Acquire module Temperature
      Specified by:
        `getTemperature` in interface `IUHF`
      Returns:
        模块温度(Temperature)

    - #### uhfBlockPermalock

          public boolean uhfBlockPermalock(java.lang.String accessPwd,
                                           int FilterBank,
                                           int FilterStartaddr,
                                           int FilterLen,
                                           java.lang.String FilterData,
                                           int ReadLock,
                                           int uBank,
                                           int uPtr,
                                           int uRange,
                                           byte[] uMaskbuf)

      数据块操作
      Specified by:
        `uhfBlockPermalock` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `FilterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、 `IUHF.Bank_TID`、`IUHF.Bank_USER`
        `FilterStartaddr` - 过滤的起始地址(Filter start address)
        `FilterLen` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `FilterData` - 过滤的数据(Filtered data)
        `ReadLock` - : 0表示读设置 1表示锁设置 (0 menas read config 1 means lock config)
        `uBank` - : 存储区域(Storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC` 、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `uPtr` - : 存储区域起始地址 ，默认为0，其中 1个块单元为16个块 (Start address in storage area, default is 0, 1 unit has 16 blocks)
        `uRange` - : 存储区域结束范围，默认为1，其中 1个块单元为16个块 (End of storage, default is 1, 1 unit has 16 blocks)
        `uMaskbuf` - : 设置锁MSAK， 高位在前，每个bit 代表为1个块，默认为2字节 (Setup lock MSAK, high level is at front, every bit has 1 block, default is 2 bytes.)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setGen2

          public boolean setGen2(Gen2Entity entity)

      设置 Gen2参数
      Setup Gen2 parameter 0,1,2,3,4,5,6,7
      Specified by:
        `setGen2` in interface `IUHF`
      Parameters:
        `entity` - GEN2参数实体对象(GEN2 parameter entity object)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getGen2

          public Gen2Entity getGen2()

      获取Gen2参数
      Acquire Gen2 parameter [0] target: s0:0 s1:1 s2:2 s3:3 SL:4 [1] action: 0,1,2,3,4,5,6 [2] t: Disable truncation 0, Enable truncation 1 [3] q: 固定Q算法 0, 动态Q算法 1
      [3] q: fixed Q algorithm 0, dynamic Q algorithm 1
      [4] startQ: 0,1,2,3.....15 注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ
      [4] startQ: 0,1,2,3.....15 note: in fixed algorithm, Q is fixed as StartQ, neglect MinQ and MaxQ
      [5] minQ: 0,1,2,3.....15 [6] maxQ:0,1,2,3......15 [7] dr:0,1 [8] coding:0,1,2,3 [9] p:0,1 [10] sel:0,1,2,3 [11] Session:0,1,2,3 [12] g:0,1 [13] linkFrequency:0,1,2,3,4,5,6,7
      Specified by:
        `getGen2` in interface `IUHF`
      Returns:
        返回数组长度14 表示为返回的数据,返回其他长度表示读取失败
        return array length 14 means return data, return other length means read failed.

    - #### getCW

          public int getCW()

      获取连续波设置
      Acquire CW setup
      Specified by:
        `getCW` in interface `IUHF`
      Returns:
        reutrn 1:表示开， 0：表示关

    - #### setCW

          public boolean setCW(int flag)

      设置连续波
      Setup CW
      Specified by:
        `setCW` in interface `IUHF`
      Parameters:
        `flag` - 1:表示开， 0：表示关
      Returns:
        true:成功(success) false:失败(failure)

    - #### getEPCAndTIDUserMode

          public InventoryModeEntity getEPCAndTIDUserMode()

      设置EPC 和 TID模式
      Specified by:
        `getEPCAndTIDUserMode` in interface `IUHF`
      Returns:
        返回盘点模式的对象(the object that returns the inventory mode)

    - #### disableBeep

          public boolean disableBeep()

      Specified by:
        `disableBeep` in interface `IUHFURAxExtend`

    - #### enableBeep

          public boolean enableBeep()

      Specified by:
        `enableBeep` in interface `IUHFURAxExtend`

    - #### setBuzzerOff

          public void setBuzzerOff()

      Specified by:
        `setBuzzerOff` in interface `IUHFURAxExtend`

    - #### setBuzzerOn

          public void setBuzzerOn(int time)

      Description copied from interface: `IUHFURAxExtend`
      单位:毫秒,time:100-65535
      Specified by:
        `setBuzzerOn` in interface `IUHFURAxExtend`

    - #### openWifi

          public boolean openWifi()

      Specified by:
        `openWifi` in interface `IUHFURAxExtend`

    - #### closeWifi

          public boolean closeWifi()

      Specified by:
        `closeWifi` in interface `IUHFURAxExtend`

    - #### setBeep

          public boolean setBeep(int mode)

      设置蜂鸣器，盘点读到标签鸣叫
      Parameters:
        `mode` - 0:on , 1:off
      Returns:
        true:success false:fail

    - #### getBeep

          public char[] getBeep()

      获取蜂鸣器状态
      Returns:
        ...

    - #### getAndroidDeviceHardwareVersion

          public java.lang.String getAndroidDeviceHardwareVersion()

      Specified by:
        `getAndroidDeviceHardwareVersion` in interface `IUHFURAxExtend`

    - #### getEthernetIpConfig

          public java.lang.String getEthernetIpConfig()

      获取以太网配置状态，json格式
      Specified by:
        `getEthernetIpConfig` in interface `IUHFURAxExtend`

    - #### getWifiIpConfig

          public java.lang.String getWifiIpConfig()

      获取wifi配置状态，json格式
      Specified by:
        `getWifiIpConfig` in interface `IUHFURAxExtend`

    - #### rebootDevice

          public boolean rebootDevice()

      重启android设备
      Specified by:
        `rebootDevice` in interface `IUHFURAxExtend`

    - #### setBuzzerOffOfAndroid

          public void setBuzzerOffOfAndroid()

    - #### setEthernetIpDynamicAssign

          public boolean setEthernetIpDynamicAssign()

      Specified by:
        `setEthernetIpDynamicAssign` in interface `IUHFURAxExtend`

    - #### getReaderCurrentIp

          public ReaderIPEntity getReaderCurrentIp()

      Specified by:
        `getReaderCurrentIp` in interface `IUHFURAxExtend`

    - #### isEnableBeep

          public boolean isEnableBeep()

      盘点标签蜂鸣器是否被禁用
      Specified by:
        `isEnableBeep` in interface `IUHFURAxExtend`

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        java.lang.String writeData)

      Description copied from interface: `IUHF`
      将数据写入到EPC,而且自动适配盘点的EPC长度
      Write data to epc
      Specified by:
        `writeDataToEpc` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        java.lang.String writeData)

      Description copied from interface: `IUHF`
      将数据写入到EPC,而且自动适配盘点的EPC长度
      Write data to epc
      Specified by:
        `writeDataToEpc` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### isInventorying

          public boolean isInventorying()

      Description copied from interface: `IUHF`
      uhf 是否正在盘点
      Specified by:
        `isInventorying` in interface `IUHF`
      Specified by:
        `isInventorying` in class `UhfBase`
      Returns:

    - #### getANT

          public java.util.List<AntennaState> getANT()

      Description copied from interface: `IMultipleAntenna`
      获取当前设置的天线
      Specified by:
        `getANT` in interface `IMultipleAntenna`

    - #### setANT

          public boolean setANT(java.util.List<AntennaState> antStatus)

      Description copied from interface: `IMultipleAntenna`
      设置天线
      Specified by:
        `setANT` in interface `IMultipleAntenna`
      Parameters:
        `antStatus` - 天线号
      Returns:

    - #### setAntennaPower

          public boolean setAntennaPower(AntennaEnum ant,
                                         int power)

      Description copied from interface: `IMultipleAntenna`
      设置单个天线的功率
      Specified by:
        `setAntennaPower` in interface `IMultipleAntenna`
      Parameters:
        `ant` - 天线号
        `power` - 功率
      Returns:

    - #### getAntennaPower

          public int getAntennaPower(AntennaEnum ant)

      Description copied from interface: `IMultipleAntenna`
      获取单个天线的功率
      Specified by:
        `getAntennaPower` in interface `IMultipleAntenna`
      Returns:

    - #### getAntennaPower

          public java.util.List<AntennaPowerEntity> getAntennaPower()

      Specified by:
        `getAntennaPower` in interface `IMultipleAntenna`

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Description copied from interface: `IUHF`
      设置盘点回调接口，接收循环盘点到的标签数据
      Set the inventory callback interface to receive the label data from the cyclic inventory
      备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。
      Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
      Specified by:
        `setInventoryCallback` in interface `IUHF`
      Specified by:
        `setInventoryCallback` in interface `IUHFURAxExtend`
      Parameters:
        `inventoryCallback` - 盘点回调接口(inventory callback interface)